bank_account, card, and card_source objects are validated when they are passed to the /pay-distribution-configs/encrypt endpoint. Learn more encryption validation below.The DDS configuration object
- Allocation related properties define the amount or percentage of money that is allocated to a bank account. Allocation fields do not apply to cards. Visit our direct deposit switching guide for which pay allocations to use for your use case.
- At least one
bank_accountorcard/card_sourceobject must be specified in your DDS configuration. - At least one of
percent_allocationoramount_allocationobject is required for partial paycheckbank_accountDDS configurations. - Refer to add a bank and debit account in our direct deposit switching guide before including both
bank_accountandcardin a single DDS configuration.
Attributes
default_allocation_type *DEPRECATED(string, required)bank_account(object, optional): The object that contains bank account information for a pay allocation.bank_name(string, optional): Bank name that will be displayed alongside an obfuscated account number in Argyle Link. This is used for labeling purposes and does not need to perfectly match the actual bank name.routing_number(string, optional): 9-digit code that is based on the bank location where the user’s account was opened.account_number(string, optional): 8 to 17-digit code that identifies the user as the account holder in the bank. The allocation will be sent to this account.card_number(string, required): 8 to 19-digit payout card number as displayed on the card.cardholder_title(string, optional): Title of the person to which the card has been issued. This should be entered exactly as displayed on the card.cardholder_first_name(string, optional): Forename of the person to which the card has been issued.cardholder_last_name(string, optional): Surname of the person to which the card has been issued.expiration_year(integer ≥ 2000, required): Expiration year as specified on the card.expiration_month(integer between 1 and 12, required): Expiration month as specified on the card.card_cvc_cvv(string, required): 3 or 4-digit security code found on the back of the card.address_line1(string, optional): Address line 1—for example, street, PO Box, or company name.address_line2(string, optional): Address line 2—for example, apartment, suite, unit, or building.state(string, optional): State, county, province, or region.city(string, optional): City, district, suburb, town, or village.postal_code(string, optional): Postal code of the address associated with the card.details(object, optional): The object that contains all required information used in authentication and data retrieval between Argyle’s API and the third-party financial service provider.
Encrypt to payDistributionConfig
POST/v1/pay-distribution-configs/encrypt
Encrypt a DDS configuration to a payDistributionConfig.
- To start the direct deposit update process in Link you must initialize it with the
payDistributionConfigparameter set to the encrypted string returned asencrypted_configafter encrypting your DDS configuration. - The encryption is necessary to ensure bank account and card details are never exposed on the front-end. Full routing, account, and card numbers always appear encrypted on the end user’s device.
- To encrypt your DDS configuration make a POST request to
/pay-distribution-configs/encryptwith your DDS configuration in the payload.
Learn more about validation of DDS configurations:
Learn more about validation of DDS configurations:
When encryption is performed, types and values in the
card and bank_account objects are validated. This validation ensures that:- Each field is of the correct type.
- Required fields are specified.
-
account_number,routing_number,card_number, andcard_cvc_cvvfields contain only numbers and are the correct length. - The card expiration date is valid.
- If either the first or last name card fields are specified, then the other field is as well.
- If the cardholder title field is specified, the first and last name card fields are as well.
- The DDS configuration is self-consistent. This means that:
- At least one destination is set.
-
If
bank_accountis set, the validation ensures that either amount or percent allocation is set, orentire_allocationistrue. -
If
entire_allocationistrue, the validation ensures that neither amount or percent allocation is set. - Amount and percent allocations are self-consistent:
-
value,min_value,max_valueare valid decimal numbers. -
0 ≤
min_value≤value≤max_valuefor amount allocations. -
0 ≤
min_value≤value≤max_value≤ 100 for percent allocations.When a card_source object is defined in your DDS configuration, the Argyle API validates it before encryption. This validation ensures that:- If the
card_sourceobject is defined, thenbank_accountorcardobjects cannot be present in the DDS configuration. - The value of the partner attribute must be
unit. Accepted values can potentially change when more partners are integrated in the future.
- If the
Request body
—(object, required): DDS configuration (pre-encryption).
- curl
- python